## Xalan-C++ API Documentation

### The Xalan C++ XSLT Processor Version 1.9

Main Page | Class Hierarchy | Alphabetical List | Class List | File List | Class Members | File Members | Related Pages

# TraceListener::TraceListenerSelectFunctor Struct Reference

Collaboration diagram for TraceListener::TraceListenerSelectFunctor:

[legend]
List of all members.

## Public Member Functions

- TraceListenerSelectFunctor (const SelectionEvent &theEvent)
- void operator() (TraceListener *theListener) const

## Public Attributes

- const SelectionEvent & m_event

## Constructor & Destructor Documentation

TraceListener::TraceListenerSelectFunctor::TraceListenerSelectFunctor | ( | const SelectionEvent & | theEvent | ) |

## Member Function Documentation

void TraceListener::TraceListenerSelectFunctor::operator() | ( | TraceListener * | theListener | ) | const

## Member Data Documentation

const SelectionEvent& TraceListener::TraceListenerSelectFunctor::m_event

The documentation for this struct was generated from the following file:

- TraceListener.hpp

Interpreting class diagrams

Doxygen and GraphViz are used to generate this API documentation from the Xalan-C header files.

Xalan-C++ XSLT Processor Version 1.9 Copyright © 1999-2004 The Apache Software Foundation. All Rights Reserved.